<?php
/**
 * Mahara: Electronic portfolio, weblog, resume builder and social networking
 * Copyright (C) 2006-2008 Catalyst IT Ltd (http://www.catalyst.net.nz)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    mahara
 * @subpackage artefact-file
 * @author     Catalyst IT Ltd
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL
 * @copyright  (C) 2006-2008 Catalyst IT Ltd http://catalyst.net.nz
 *
 */

define('INTERNAL', 1);
define('JSON', 1);

require(dirname(dirname(dirname(__FILE__))) . '/init.php');

json_headers();

$fileid = param_integer('id');

require_once(get_config('docroot') . 'artefact/lib.php');

$artefact = artefact_instance_from_id($fileid);
if (!$USER->can_edit_artefact($artefact)) {
    json_reply('local', get_string('nodeletepermission', 'mahara'));
}
$artefact->delete();

json_reply(false, array('message' => get_string('filethingdeleted', 'artefact.file', 
                                                get_string($artefact->get('artefacttype'),
                                                           'artefact.file')),
                        'quotaused' => $USER->get('quotaused'),
                        'quota' => $USER->get('quota')));

?>
